# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"3c7a400b-fe6f-564d-bf89-78d4da3d32fc",
   "name":"YesPlayMusic 0.4.8",
   "version":"0.4.8",
   "install_date":"",
   "install_location":"",
   "uninstall_string":"\"C:\\Program Files\\YesPlayMusic\\Uninstall YesPlayMusic.exe\" /allusers",
   "publisher":"qier222",
   "system_component":0,
   "win64":true
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('YesPlayMusic.Setup.*.exe')[0]
    # Installing the software
    install_exe_if_needed(bin_name,
        silentflags='/S',
        key='3c7a400b-fe6f-564d-bf89-78d4da3d32fc',
        min_version=control.get_software_version(),
    )



